Subject: Re: [X2Go-Dev] Bug#375: Bug#375: x2gothinclient does not install 686 kernel

From: Anders Bruun Olsen <[email-masked]>
Date: Tue, 17 Dec 2013 14:26:37 +0100

Hi Mike,

As the machines used as thin clients grow ever more powerful, at the same
price and energy usage, the features available also keeps expanding. I have
recently bought a Shuttle machine, that is physically smaller than my
current thin clients, comes with the Atom D2550 (one of the newer Atom
CPUs) which has two cores. I also put in 4gb of RAM, since it was almost
the same price as a 2gb RAM module. Like Stephan wrote, without 686 (and in
this case PAE) that system wouldn't be properly utilized. Even if it is
somewhat overpowered for a thin client. As a side note, I am also testing
out the Intel NUC
DCCP847DYE<http://www.intel.com/content/www/us/en/motherboards/desktop-motherboards/desktop-kit-dccp847dye.html>
which
is a dual core celeron, but it is so small and (like the Shuttle)
completely silent, but does not offer sound out, other than over HDMI.
Anyways, it is a matter of properly utilizing the hardware. It probably
isn't that big a deal, but it would be nice to have.

2013/12/17 Stephan Wagner <[email-masked]>

>  Hallo Mike
>
>
>
> I prefer 686-Kernel on a 32bit System, as it supports multiple cores.
>
>
>
> Stephan
>
>
>
>
>
> On Tuesday, 17. December 2013, Mike Gabriel wrote:
>
> > Control: tag -1 moreinfo
>
> >
>
> > Hi Anders,
>
> >
>
> > On Di 17 Dez 2013 11:23:31 CET, Anders Bruun Olsen wrote:
>
> >
>
> > > Package: x2gothinclientmanagement
>
> > > Version: 1.1.0.1
>
> > >
>
> > > I run my tftp/nfs server for my thin clients, on a 64-bit machine (a
> VM).
>
> > > When I create a thinclient chroot with x2gothinclient_create, only the
> 486
>
> > > kernel gets installed. I can use x2gothinclient_shell and use apt-get
> to
>
> > > install linux-image-686, to get the 686 kernel installed. But upon
> doing
>
> > > so, the reason for it not being auto installed is apparent: 64-bit
> machines
>
> > > don't support PAE (not needed), and the deb package for linux-image-686
>
> > > knows that this particular kernel is made for machines supporting PAE.
> I
>
> > > can just say yes to the warnings, and I even though I end up with an
> error,
>
> > > the kernel does get installed. This is not optimal.
>
> > > I realize this is a problem (in this niche case, it probably "works as
>
> > > intended") with Debian Wheezy, and not really a job for the developers
> of
>
> > > x2go, but since I am running into this problem when using x2go, I am
>
> > > reporting the problem here, and hopefully it will be sent upstream, if
> that
>
> > > is desirable.
>
> >
>
> > What is your reason for wanting to use the 686 kernel in the first
>
> > place. The reason I removed 686 support from the X2Go TCE is that it
>
> >
>
> > (a) did not bring any feelable improvements while my TCEs ran under
>
> > Debian squeeze _and_
>
> > (b) did not work fluently if the PXE server machine is a amd64 system
>
> >
>
> > Please enlight me, why 686 would be a sensible kernel alternative to
>
> > use here...
>
>
>
>
>
>
>
> --
>
> __________________________________________________
>
> Dr. Stephan Wagner
>
> ITos GmbH
>
> Bitzi-Bendel 2555
>
> 9642 Ebnat-Kappel
>
> Tel: +41 (0)71 990 05 94
>
> mailto:[email-masked]
>
> http://www.itos-gmbh.com
>
> --------------------------------------------------
>
>
>
> _______________________________________________
> X2Go-Dev mailing list
> [email-masked]
> https://lists.berlios.de/mailman/listinfo/x2go-dev
>

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)